OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
FBlitter_8bppOptimized Class Reference

Factory for the 8bpp blitter optimised for speed. More...

`#include <8bpp_optimized.hpp>`

Inheritance diagram for FBlitter_8bppOptimized:

## Public Member Functions
Blitter * | CreateInstance ()
| Create an instance of this Blitter-class.
Public Member Functions inherited from BlitterFactory
const char * | GetName () const
| Get the long, human readable, name for the Blitter-class.
const char * | GetDescription () const
| Get a nice description of the blitter-class.

## Additional Inherited Members
Static Public Member Functions inherited from BlitterFactory
static Blitter * | SelectBlitter (const char *name)
| Find the requested blitter and return his class.
static BlitterFactory * | GetBlitterFactory (const char *name)
| Get the blitter factory with the given name.
static Blitter * | GetCurrentBlitter ()
| Get the current active blitter (always set by calling SelectBlitter).
static char * | GetBlittersInfo (char *p, const char *last)
| Fill a buffer with information about the blitters.
Protected Member Functions inherited from BlitterFactory
| BlitterFactory (const char *name, const char *description, bool usable=true)
| Construct the blitter, and register it.

## Detailed Description

Factory for the 8bpp blitter optimised for speed.

Definition at line 34 of file 8bpp_optimized.hpp.

The documentation for this class was generated from the following file:

- src/blitter/8bpp_optimized.hpp